package it.arnaldo.unibs.tamagolem;

import java.util.HashSet;
import java.util.Set;

public class GraphElement {
    private final Element element;
    private final Set<ElementLink> links;

    public GraphElement(Element element) {
        this.element = element;
        this.links = new HashSet<>();
    }

    public Element getElement() {
        return element;
    }

    public Set<ElementLink> getLinks() {
        return links;
    }

    public void addLink(ElementLink link) {
        links.add(link);
    }

    public int getLinkValue(Element element) {
        for (ElementLink link : links) {
            if (link.getElement().equals(element)) {
                return link.getValue();
            }
        }
        return 0;
    }
}
